*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    /* Border and padding are no longer added */
    box-sizing: inherit;
    // border: 1px solid black !important;
}

* {
    font-family: 'Roboto', sans-serif;
}

@mixin test {

    @include breakpoint(xs) {
        background-color: chocolate;
    }
    @include breakpoint(sm) {
        background-color: yellow;
    }
    @include breakpoint(md) {
        background-color: orange;
    }
    @include breakpoint(lg) {
        background-color: violet;
    }
    @include breakpoint(xl) {
        background-color: red;
    }
}
/*

Calculation for different font-size
    font-size: 62.5%; // 10px/16px = 62.5%;
    font-size: 68.75%; // 11px/16px = 68.75%;
    font-size: 75%; // 12px/16px = 75%;
    font-size: 81.25%; // 13px/16px = 81.25%;
    font-size: 87.5%; // 14px/16px = 87.5%;
    font-size: 93.75%; // 15px/16px = 93.75%;
    font-size: 100%; // 16px/16px = 100%;

*/

html {


    @include breakpoint(xs) {
        font-size: 87.5%; // 14px/16px = 87.5%;
    }
    @include breakpoint(md) {
        // This defines what 1rem is
        font-size: 100%; // 16px/16px = 100%;
    }
    // @include test
}

/* Use the power of inheritence */
body {
    box-sizing: border-box;
    /* Except this, not using power of inheritence */
    // padding: 3rem;

    // @include respond(tab-port) {
    //     padding: 0;
    // }
}
